Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Quake 3 Arena, 1.16n. Please Help.

  1. #1
    Join Date
    Nov 2007
    Location
    Behind My Monitors
    Beans
    265
    Distro
    Ubuntu 12.04 Precise Pangolin

    Question Quake 3 Arena, 1.16n. Please Help.

    Ive been searching and searching all over the web for someone with the same problem i am having with this and cant find anything. I have successfully installed quake 3 point release 1.32 on my Ubuntu 7.10 box without ANY problems at all using the linuxq3apoint-1.32b.x86.run installer. But when i do the same with the linuxq3apoint-1.16n.x86.run on my machine a small black box pops up and disappears very fast. The only way i could get the box to stay there so i could read it is to use the -target option to extract the files to a directory. From what i can tell it looks like the same error as the regular command but there isn't time to read that so here is the output of the command with the -target option:
    Code:
    titan@theDungeon:~$ ./linuxq3apoint-1.16n.x86.run -target quaketemp
    
    (in the little box)
    Creating Directory quaketemp
    verifying archive integrity...tail: Warning: "+number" syntax is depreciated, please use "-n +number"
    [: 122: 4183380385: out of range
    OK
    Uncompressing Quake III Arena Point Release 1.16n........................
    ./setup.sh: 9: function: not found
    X86
    press return to close this window...
    (end of little box)
    
    titan@theDungeon:~$
    when I look in the folder where it has been extracted the setup.sh file is in fact there whether that matters or not. Any help is much appreciated.

    Thank You,
    Dan

  2. #2
    Join Date
    Apr 2007
    Beans
    2,042

    Re: Quake 3 Arena, 1.16n. Please Help.


  3. #3
    Join Date
    Nov 2007
    Location
    Behind My Monitors
    Beans
    265
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Quake 3 Arena, 1.16n. Please Help.

    that installs version 1.34..... thanks anyways

  4. #4
    Join Date
    Apr 2007
    Beans
    2,042

    Re: Quake 3 Arena, 1.16n. Please Help.

    chmod +x linuxq3apoint-1.16n.x86.run

  5. #5
    Join Date
    Dec 2007
    Beans
    66

    Re: Quake 3 Arena, 1.16n. Please Help.

    Really, really old Linux install scripts will not work with modern distros due to significant changes in the commands/shells the scripts use since then. I've had similar issues with a few older installer scripts too.

    Any particular reason you need such an out-of-date version? Just curious.

  6. #6
    Join Date
    Nov 2007
    Location
    Behind My Monitors
    Beans
    265
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Quake 3 Arena, 1.16n. Please Help.

    Yes, i need to run it so i can run a noghost server. Besides, its hard to enjoy the new versions they went so crazy with features i think anyways... Im a little bit old school . Thank you for a response that dosent treat me like an idiot by the way, that explains whats going on. I think all i need is the executable right? I may be wrong but if anyone has a copy i would really like to give it a try. The executable is the only thing that changed, they just added new .pk3's for the new point releases.
    Last edited by The Titan; January 2nd, 2008 at 01:25 AM.

  7. #7
    Join Date
    Dec 2007
    Beans
    66

    Re: Quake 3 Arena, 1.16n. Please Help.

    Yes, it's very likely the executables for the game will work fine, it's just the installer that's stopping you. My advice? Find an old copy of Debian or another distro released around the same time as Quake 3. Install that in a virtual machine like VirtualBox, run the setup, then somehow copy the files back onto your regular system. They should work fine.

  8. #8
    Join Date
    Nov 2007
    Location
    Behind My Monitors
    Beans
    265
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Quake 3 Arena, 1.16n. Please Help.

    Excellent Idea, Thank You

  9. #9
    Join Date
    Apr 2007
    Beans
    2,042

    Re: Quake 3 Arena, 1.16n. Please Help.

    Quote Originally Posted by The Titan View Post
    Excellent Idea, Thank You
    Did you even try
    chmod +x linuxq3apoint-1.16n.x86.run
    then sh linuxq3apoint-1.16n.x86.run
    it might work

  10. #10
    Join Date
    Jan 2008
    Beans
    1

    Re: Quake 3 Arena, 1.16n. Please Help.

    i am still searching solution for this. But i couldnt even get close to solution. As a result, i guess, i have to find already installed old linux and copy some files. Is there a way to modify 1.16n installer? Any idea? By the way i got this error:
    Attached Images Attached Images

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •